osso-addressbook (3.20080403) unstable; urgency=low

  * Ensure correct focus after activating "delete field" in contact editor; Fixes: NB#83305

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Thu,  3 Apr 2008 17:50:25 +0300

osso-addressbook (3.20080320) unstable; urgency=low

  * Add some savety-checks that should help to prevent a crash when importing;
    Fixes: NB#82779
  * Disable delete-field button, unless a entry is focused; Fixes: NB#79731

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Thu, 20 Mar 2008 17:09:20 +0200

osso-addressbook (3.20080318) unstable; urgency=low

  * Reset cell data func for contact name cell when displayname changes, so
    that this update reflects immediately in the UI; Fixes: NB#82671

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Tue, 18 Mar 2008 14:56:00 +0200

osso-addressbook (3.20080314) unstable; urgency=low

  * Skip duplicate entries when building the list of accounts; Fixes: NB#76359
  * Spin progressbar in an timeout-handler instead of updating it after
    pushing each vcard; Fixes: NB#77581
  * Remove weird things from restore script; Fixes: NB#81001
  * Properly deal with utf-8 when ellipsizing account-names. Fixes: NB#80937
  * Plug leak account selector; Fixes: NB#78605
  * Create a doc package and update documentation
  * Apply some "tricks" to improve sorting speed and thus improve startup time/responsiveness
    with lots of contacts

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Fri, 14 Mar 2008 13:43:43 +0200

osso-addressbook (3.20071213) unstable; urgency=low

  * Fix ABook crashing on missing vcard-field; Fixes: NB#78200
  * Dim all buttons in the exporter-dialog while the actual export is ongoing; Fixes: NB#78399
  * Undim the menu again, when the user has freed diskspace; Fixes: NB#76549

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Thu, 13 Dec 2007 15:37:04 +0200

osso-addressbook (2.20071116) unstable; urgency=low

  * Fix issues with speedial preventing restoration of contacts from a backup; Fixes: NB#74151

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Mon, 12 Nov 2007 11:13:28 +0200

osso-addressbook (2.20071105) unstable; urgency=low

  * Use "\n" instead of " " for username-bound delimiter in our galago-hack, since " " is a
    valid part of aim usernames; Fixes NB:73833

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Mon,  5 Nov 2007 12:44:28 +0200

osso-addressbook (2.20071029) unstable; urgency=low

  * Use "\n" instead of " " for username-bound delimiter in our galago-hack, since " " is a
    valid part of aim usernames; Borked
  * Disconnect from all GalagoAccount signals when disposing caps object; Fixes: NB#72275
  * Connect to key-press instead of key-release in order to handle ESCpresses properly; Fixes: NB#73120

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Mon, 29 Oct 2007 15:23:55 +0200

osso-addressbook (2.20071010) unstable; urgency=low

  * Remove localization from a string that is not used anyways; Fixes: NB#72422

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Wed, 10 Oct 2007 10:22:11 +0300

osso-addressbook (2.20071004) unstable; urgency=low

  * Fix the themeing issue with themes featuring dark button backgrounds by making the
    details buttons normal buttons (removing the relief-none); Fixes: NB#71013

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Thu,  4 Oct 2007 13:20:38 +0300

osso-addressbook (2.20070927) unstable; urgency=low

  * Add 6 pixels to contact-starter scrolled window, in order to make Jani happy
  * Drop weak ref on galago-account when osso-abook-account is disposed; Fixes: NB#70912

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Thu, 27 Sep 2007 10:10:17 +0300

osso-addressbook (2.20070922) unstable; urgency=low

  * Fix various issues with the im-context handling in the live-search-entry; Fixes: NB#70455
  * Don't set rules hint for speeddial

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Fri, 21 Sep 2007 17:28:44 +0300

osso-addressbook (2.20070921) unstable; urgency=low

  * AccountSelector: break infinite loop that lead to a crash; Fixes: NB#70254
  * Fix a few warnings
  * Fix some layout glitches
  * Sort contacts witch fullfill the caps of the voip/chat idleviews before those that don't

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Fri, 21 Sep 2007 09:39:10 +0300

osso-addressbook (2.20070917) unstable; urgency=low

  * OssoABookAccountGroup now filters based on "static" capabilities
  * Add a "sensitive-caps" property to OssoABookTreeView, which when set, will dimm all
    contacts that do not have the requested caps
  * consult NB#68611 for details

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Mon, 17 Sep 2007 18:15:29 +0300

osso-addressbook (2.20070914) unstable; urgency=low

  * Set rules hint for OssoABookTreeView; Fixes: NB#69609
  * Remove the hack that works around missing notification for attribute
    changes in Galago and introduce a slightly more sane hack: use the
    GalagoAccount displayname as a "transport" for caps, because it
    properly supports notifications and it's otherwise not in use
    Fixes: NB#69460

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Fri, 14 Sep 2007 16:30:47 +0300

osso-addressbook (2.20070913) unstable; urgency=low

  * Fix focus navigation; Fixes: NB#69328
  * Reload the add-username combo when accounts change; Fixes: NB#68640
  * Make buttons in avatar-popup focus-able so that we can have
    keyboard navigation; Fixes: NB#68820
  * Stop the loading banner if we can't open the book or get the book
    view; Fixes: NB#68707

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Thu, 13 Sep 2007 18:58:19 +0300

osso-addressbook (2.20070907) unstable; urgency=low

  * Use correct logical id in .desktop file; Fixes: NB#68420
  * When the group name changes, update the sorting; Fixes: NB#68476
  * Cache McAccounts, so that we don't have to query them from MC all the time
  * Use MC to figure out secondary vcard_fields

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Fri,  7 Sep 2007 16:12:20 +0300

osso-addressbook (2.20070904) unstable; urgency=low

  * Don't dim the sort menu-item when an empty group is focused; Fixes: NB#67770
  * Show a "ghost"-icon for manual contacts also in the details window; Fixes: NB#65478
  * Provoke a "row-changed" in accordance to "notify::name" of the corresponding group;
    Fixes: NB#63293

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Tue,  4 Sep 2007 13:50:10 +0300

osso-addressbook (2.20070830) unstable; urgency=low

  * Various updates coming from 3.0 UI Spec and Layout guide

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Thu, 30 Aug 2007 17:23:46 +0300

osso-addressbook (2.20070829) unstable; urgency=low

  * Add OssoABookAvatarPopup API
  * Add osso_abook_contact_get_accounts_with_capabilities API
  * Adopt API-change in speedial applet; Fixes: NB#66854

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Wed, 29 Aug 2007 11:45:16 +0300

osso-addressbook (2.20070824) unstable; urgency=low

  * Make integration happy; Fixes: NB#48130, NB#65220, NB#65935, NB#65129, NB#64993, NB#65062
  * Updating live search entry to latest Layout guide
  * Update simple new contact API do take an optional group argument; Fixes:
    NB#66653
  * Use correct logical id; Fixes: NB#66360
  * Allow unblocking by using select key; Fixes: NB#66540
  * Check for disc full errors during export; Fixes: NB#66485
  * Make the simple New Contact dialog modal; Fixes: NB#66381
  * Unref the created contact when adding a manual contact; Fixes: NB#66496
  * Make speed applet remember it's size; Fixes: NB#65296
  * Use new logical id in get in contact; Fixes: NB#64079
  * Use a account-group as filter for the "select-im"-dialog; Fixes: NB#62443
  * Made add-field dialog 400 pixels wide, so that translators have more space; Fixes: NB#66153
  * Dim import/export when disc is full; Fixes: NB#59683
  * Remove autocaps from the simple new contact dialog; Fixes: NB#64417

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Fri, 24 Aug 2007 15:29:51 +0300

osso-addressbook (2.20070817) unstable; urgency=low

  * Make disconnected sort as unknown presence. (Fixes: NB#64505)
  * Show "out of memory" infoprint when add_contact() returns NO_SPACE
    (Fixes: NB#42837)
  * Use gnome-vfs when loading photos (Fixes: NB#65863)
  * Use the new maemo-launcher pkgconfg files (#65935).

 -- Ross Burton <ross@openedhand.com>  Fri, 17 Aug 2007 16:21:48 +0100

osso-addressbook (2.20070814) unstable; urgency=low

  * API Change: add avatar and presence objects to the contact-activated signal
  * Make the Add Username dialog work when abook wasn't already
    running (Fixes: NB#65126, #65129).
  * Ref cached photo when returning (Fixes: NB#65426)
  * Safely handle removal of groups that don't exist (Fixes: NB#65499)
  * Lots of memory leak fixes

 -- Ross Burton <ross@openedhand.com>  Tue, 14 Aug 2007 16:29:47 +0100

osso-addressbook (2.20070810) unstable; urgency=low

  * Use non-avatar mode treeview in blocked contact manager; use "notsupported"-avatar for
    blocked contacts; Fixes: NB#61345
  * Use same presence icon as chat for blocked contacts; Fixes NB#48130
  * Fix keyboard-nav in chat-voip-service-dialog; Fixes: NB#65000
  * Use correct logical ids in .desktop; Fixes: NB#65260
  * Add support for the sip: URL handler; Fixes: NB#62259
  * Allow no contacts in the speed dial applet; Fixes NB#65220
  * Letting the entry handle keypresses itself when it has focus does not seem to work well enough,
    so don't do it; Fixes NB#65062
  * Prevent FKB popup upon select key presses; Fixes: NB#63398, NB#65107
  * Enhance performance of tools-menu; Fixes: NB#65014

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Fri, 10 Aug 2007 12:46:41 +0300

osso-addressbook (2.20070803) unstable; urgency=low

  * Require one contact in the speed dial applet (_hehe#64675).
  * Only manipulate the speed dial list if it was changed when contacts are removed.
  * Disable the OK button in the task selector until a task is selected (Fixes: NB#63953)
  * Close the New Field dialog when a row is activated (Fixes: NB#64525)

 -- Ross Burton <ross@openedhand.com>  Fri,  3 Aug 2007 14:49:32 +0100

osso-addressbook (2.20070727) unstable; urgency=low

  * Remove broken filtering from accounts model; Fixes: NB#63232
  * Make filechooser dialog a few pixels widers, so that translations have more space; Fixes: NB#63610
  * Store last selected service group in gconf; Fixes: NB#64203
  * Update to use the bitmask that telepathy-feed now uses for capabilities
  * Sanify search_entry internals a bit (hopefully); Fixes: NB#63398
  * Toggle search toolbar item according to visibility of search entry. Don't make item unsensitive,
    if search entry is currently visible; Fixes: NB#64133
  * Unbork removal of all contacts from speeddial; Fixes: NB#62992
  * Show manual contacts in block group, so that we can unblock them; Fixes: NB#63449
  * Set ok-button as default response for contact-starter; Fixes: NB#63576
  * contact-select-dialog: Check for empty treeview and update button sensivity accordingly
    in a proper way; Fixes: NB#43888

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Fri, 27 Jul 2007 14:50:14 +0300

osso-addressbook (2.20070711) unstable; urgency=low

  * Unbreak live-search; Fixes: NB#62962
  * Move the application menu under a menubar element instead of using the popup tag,
    because GtkUIManager strips every accelerator string from menu items under popup;
  * Fixes: NB#62205

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Wed, 11 Jul 2007 17:36:30 +0300

osso-addressbook (2.20070706) unstable; urgency=low

  * Implement proper monitoring of account-capabilities; this is still disabled though
    until telepathy-gabble is fixed
  * Pop up account-applet when clicking on a chat-username with disabled bound account
    in details dialog; Fixes: NB#62536
  * Apply Tuomas's patch for live-search-entry; this should make sticky keys like Fn and
    Shift on bt keyboards work; Also handle Backspace presses in case the widget is
    visible toavoid conflicts with keyboard shortcuts; Fixes: NB#62305
  * Apply correct logical id in "finished"-tab (Fixes: NB#62250); fix failing export
    when folder already exists
  * Reset block item when setting a new contact; Fixes: NB#62130
  * Use correct logical id in loading banner; Fixes: NB#61748
  * Always ask the contact model for the correct order of contacts instead of using
    the cached UIDs list. Fixes: NB#60070
  * Set proper initial size of speeddial applet. Fixes: NB#60382

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Fri,  6 Jul 2007 16:04:07 +0300

osso-addressbook (2.20070627) unstable; urgency=low

  * Filter OssoABookAccountGroup by capabilties provided by Telepathy; only fall back to
    McProfileCapabilities if the former are not available
  * Rewrite the check if it is possible to request authorization for a contact
    Fixes: NB#51599, NB#61338, NB#51946
  * Use qgn_addr_icon_avatar instead of qgn_addr_icon_default_picture
  * Warn if libosso-abook is used without proper initialization
  * Make aggreagated avatars show always most recently changed avatar; Fixes: NB#61429

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Wed, 27 Jun 2007 16:18:19 +0300

osso-addressbook (2.20070621) unstable; urgency=low

  * Unbreak resetting of avatar; Fixes: NB#61347
  * Don't close get-in-contact if email was not actually launched; Fixes: NB#61339
  * Fix crash due to new selection upon row-deleted signals; Fixes: NB#60704
  * Initialize sensivity of toolbar items on startup; Fixes: NB#60704
  * Don't include contacts where the username was marked with TODELETE in smartgroups;
    Fixes: NB#60979
  * Add BackSpace as an accelerator for delete; Fixes: NB#60908
  * When selecting an "aggregated" avatar, only consider accounts that acctually have an avatar;
    Fixes: NB#60972
  * Use proper mechanism to reset photo; Fixes: NB#60972

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Thu, 21 Jun 2007 18:06:56 +0300

osso-addressbook (2.20070613) unstable; urgency=low

  * Disable menu send options upon full disc; Fixes NB#59636
  * Check for full discspace before creating new groups; Fixes NB#51763
  * Select the first row after finishing search without a selection; Fixes NB#59292
  * Improve error handling when loading images; Fixes NB#59570
  * When a row is deleted, try to select another row; Fixes NB#49580
  * Hide vkb if searchentry is hidden; Fixes NB#59152
  * Remove APIS: osso_abook_select_dialog_new_no_alpha ()
                 osso_abook_select_dialog_[get|set]_new_contact ()
  * Fix remaining missing logical ids
  * Get in contact: Update im-address capabilities upon mcaccount-updates; Fixes NB#60276
  * Get in contact: Selected following item, if first one is dimmed; Fixes NB#59039
  * Get in contact: Keep current selection during set_contact (); Fixes NB#59231
  * Get in contact: Set correct localized insensitive press message; Fixes NB#59045
  * Use new generic-jabber icon for unbound jabber accounts; Fixes NB#47972
  * Editor: Autocapitalize in the right cases; Fixes NB#60099, NB#60100

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Wed, 13 Jun 2007 12:19:09 +0300

osso-addressbook (2.20070608) unstable; urgency=low

  * Remove visible-submenu from groups csm, as per SPEC; Fixes NB#54926
  * Setup insensitive press messages for toolbar items; Fixes NB#60042
  * Set proper insensitive press messages in add-user-name-dialog; Fixes NB#59894
  * add-username-dialog: Destroy previous child before inserting new widget
    into the hildon-caption; Fixes: NB#59854
  * Introduce keyboard accelorator bindings

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Fri,  8 Jun 2007 17:20:48 +0300

osso-addressbook (2.20070604) unstable; urgency=low
 
  * Connect to row-activated in the IM and email selection dialogs
    Fixes: NB#52926
  * Better cleaning function; Fixes: NB#50021, NB#58722
  * Show a saved banner in the simple add contact dialog NB#58241
  * Close add-username-dialog when contact is deleted; Fixes NB#47560
  * Properly initialize gconf setting for usage of avatar-view; Fixes: NB#59103
  * Set proper logical ids for icons in get in contact dialog; Fixes: NB#58903
  * Set proper logical ids for buttons and title in crop avatar dialog; Fixes: NB#58978, NB#58975

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Mon,  4 Jun 2007 13:52:00 +0300

osso-addressbook (2.20070530) unstable; urgency=low

  * add convenience function (osso_abook_contact_matches_chat_user)
    that checks if an EContact matches a chat contact
  * debian/rules: add -Wno-format-extra-args to CFLAGS
  * Use eds bulk delete API; FIxes NB#56331
  * Fix account-view; Fixes NB#55183
  * Implement new Get-in-contact; Fixes NB#55590
  * Implement avatars in Speeddial-applet; Fixes NB#55779

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Tue, 30 May 2007 14:08:00 +0300

osso-addressbook (2.20070521.1) unstable; urgency=low

  * IVC disabled

 -- Dmitry Rozhkov <ext-dmitry.1.rozhkov@nokia.com>  Tue, 22 May 2007 11:31:22 +0300

osso-addressbook (2.20070521) unstable; urgency=low

  * Get-in-contact now 90% finnished
  * use gtk_dialog_run for add to contact dialogs; Fixes: NB#54232
  * cut off friendly display names after 19 chars; Fixes: NB#57553
  * add empty default field, if the present one was marked
    TODELETE; 
  * Fix crash in vcard cleanup code; Fixes: NB#53558

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Mon, 21 May 2007 19:02:17 +0300

osso-addressbook (2.20070514) unstable; urgency=low

  * Partly implement new "Get in Contact"-dialog
  * Set proper title for avatar-crop-dialog; Fixes: NB#56364
  * Toggle fullscreen to normal mode on ESC; Fixes: NB#55601
  * Wait until eds-factory has died; kill -9 if it doesn't die
    within 30 seconds; Fixes: NB#58380
  * Replace FindToolbar with SearchEntry; Fixes:  NB#55036
  * Disable edit button in details dialog for blocked contacts;
    Fixes: NB#41475
  * Exporter: Set focus on first item of format-list;
    Fixes: NB#55757
  * Remove idle-hack in exporter;
    Fixes: NB#46814, NB#55075
  * Set proper insensitive message in new/rename group dialogs;
    Fixes:  NB#55288
  * Update the FN field to match the edited N after editing
    a contact; Fixes: NB#42157
  * Fix an issue with speeddial if you initialize and uninitialize it
    quickly while eds is slow; Fixes NB#47287
  * When merging, refilter UI immediately; Fixes: NB#46093
  * Don't allow blocking/unblocking if there is not enough diskspace;
    Fixes: #52656
  * Implement a check for enough diskspace and use that check before
    deleting anything; Fixes: #52614
  * Implement UI spec-changes in exporter
  * Exporter: Remove hack to emit cancel response on ESC key-presses;
    Fixes: NB#52993
  * Don't use empty account diplay names; Fixes: NB#54373
  * Fixes issues with initializing and deinitializing quickly. Fixes NB#47287
  * Osso 1.x avatar requirements
  * Implemented:  NR#160380, NR#160384, NR#160383, NR#160381, NR#153185
  * Osso 1.x live search requirements
  * Implemented:  NR#167516, NR#167515, NR#167514
  * Osso 1.x capabilities requirements
  * Implemented:  NR#167599, NR#167600, NR#167639, NR#167239

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Mon, 14 May 2007 17:24:00 +0300

osso-addressbook (2.20070413) unstable; urgency=low

  * Disconnect avatar and presence notifications when changing contacts
  * Update the sorting functions when changing the group
  * Delay commit of the last-used VCard property to avoid UI updates
 
 -- Emmanuele Bassi <ebassi@openedhand.com>  Fri, 13 Apr 2007 13:17:43 +0100

osso-addressbook (2.20070411) unstable; urgency=low

  * Extension support in the contact editor
  * Use correct logical IDs in the simple New Contact dialog
  * Avatar fixes (Fixes: NB#53953)

 -- Ross Burton <ross@openedhand.com>  Wed, 11 Apr 2007 17:10:52 +0100

osso-addressbook (2.20070404) unstable; urgency=low

  * Avatar fixes
  * Check vcard field when cleaning accounts (Fixes: NB#53645)

 -- Ross Burton <ross@openedhand.com>  Wed,  4 Apr 2007 14:42:51 +0100

osso-addressbook (2.20070330) unstable; urgency=low

  * New avatar API: osso_abook_contact_get_avatar() and
    osso_abook_contact_get_avatar_pixbuf().
  * Make the simple New Contact dialog more user friendly.
  * Extend the contact editor to handle date and address fields.

 -- Ross Burton <ross@openedhand.com>  Fri, 30 Mar 2007 11:05:46 +0100

osso-addressbook (2.20070326) unstable; urgency=low

  * Avatar chooser fixes
  * Search bar fixes
  * Fix set/get last used (broke manual contacts)
  * Fix new avatar signalling

 -- Ross Burton <ross@openedhand.com>  Mon, 26 Mar 2007 14:17:12 +0100

osso-addressbook (2.20070320) unstable; urgency=low

  * Add OssoABookAccountCombo, a combo box listing the current accounts.
  * Add osso_abook_add_simple_contact_dialog_run(), a convenience dialog
    to add a new contact with just an account defined.

 -- Ross Burton <ross@openedhand.com>  Tue, 20 Mar 2007 09:32:12 +0000

osso-addressbook (2.20070316) unstable; urgency=low

  * Add OssoAbookAvatarImage
  * Fix osso_abook_make_resident
  * Put the search entry inside the tree view inside the select dialogs

 -- Ross Burton <ross@openedhand.com>  Fri, 16 Mar 2007 17:27:30 +0000

osso-addressbook (2.20070314) unstable; urgency=low

  * Remove Idleview Widget; chat and voip have already implemented their own
    (Ross)
  * move chat-voip-service-dialog.[ch] from libosso-rtcom to libosso-abook
  * drop dependency on libosso-rtcom
  * remove osso_abook_avavat_chooser_set_filename and add
    osso_abook_avatar_chooser_set_pixbuf instead
  * add osso_abook_make_resident (), wich helps working around problems when
    libosso-abook is used from gmodules

 -- Joergen Scheibengruber <jorgen.scheibengruber@nokia.com>  Wed, 14 Mar 2007 14:57:26 +0200

osso-addressbook (2.20070309) unstable; urgency=low

  * Fix crash in avatar code
  * Install the showcase application in the package osso-addressbook-showcase.

 -- Ross Burton <ross@openedhand.com>  Fri,  9 Mar 2007 15:16:53 +0000

osso-addressbook (2.20070308) unstable; urgency=low

  * Asynchronously load avatars
  * Show a New Contact button in the idle view when there are no contacts
  * Add support for manually dialled contacts
  * Put a search entry in every contact list
  * Add avatar selection widget
  * Misc search entry fixes

 -- Ross Burton <ross@openedhand.com>  Thu,  8 Mar 2007 17:44:53 +0000

osso-addressbook (2.20070223) unstable; urgency=low

  * Add a proposal for an avatar cropping dialog
  * Fix osso_abook_contact_get_accounts () for the case that we have
    more than one possible vcardfield (ie. X-JABBER + X-SIP)
  * Various fixes around avatar scaling
  * Show user-set photos instead of avatars if available

 -- Joergen Scheibengruber <jorgen.scheibengruber@nokia.com>  Wed, 23 Feb 2007 19:02:00 +0200

osso-addressbook (2.20070221) unstable; urgency=low

  * Implement contact sending via email
  * Implement offline and online capabilties
  * Fix account capability checks; Fixes: NB#49610
  * Exporter: Disable "selected-contact"-option if no contacts are selected
    Fixes: NB#42823
  * Code clean up; remove *_async functions to retrieve accounts;
    the available signals should be used instead

 -- Joergen Scheibengruber <jorgen.scheibengruber@nokia.com>  Wed, 21 Feb 2007 12:54:01 +0200

osso-addressbook (2.20070213) unstable; urgency=low

  * Add SIP field
  * Don't crash speeddial applet if removed quickly (Fixes: NB#51555)
  * Add basic Idle screen widget
  * Avatar view updates, refactoring
  * Live search updates

 -- Ross Burton <ross@openedhand.com>  Tue, 13 Feb 2007 16:24:40 +0000

osso-addressbook (2.20070205) unstable; urgency=low

  * Move some utility code to libosso-rtcom
  * Clean up compile warning (Fixes: NB#49974)
  * Pop down the contact starter menu (Fixes: NB#48506)
  * Show avatars in an OssoABookAvatarView
  * Handle non-existant accounts when adding usernames (Fixes: NB#46256)
  * Add prototype implementation of live searching
  * Use Hildon margins more
  * Add OssoABookGroupCombo
  * Add status message support to the presence objects
  * Add OssoABookAndGroup, for merging groups
  * Set passive focus when app is started (Fixes: NB#50563)
  * Remove duplicate and wrongy-unbound accounts (Fixes: NB#42614)

 -- Ross Burton <ross@openedhand.com>  Mon,  5 Feb 2007 17:19:11 +0000

osso-addressbook (2.20070105) unstable; urgency=low

  * Update dependencies to evolution-data-server-addressbook
  * Depend on mission-control 4.1
  * Add global state object to reduce DBus calls
  * Handle the mangled telepathy-feed account names
  * Use X-OSSO-LAST-USED for the Recent group rather than REV
  * Make OK-button insensitive when entry in new/rename group dialog is
    empty (Fixes NB#43315)
  * Fix wrong unref in contact search (Fixes: NB#50015)
  * Strip whitespace in export wizard (Fixes: NB#45911)
  * Check online status correctly (Fixes: NB#49377)
  * Check that the account a contact is bound on is enabled before okaying
    authentication (Fixes: NB#49467)
  * Refilter merged contacts after deleting (Fixes: NB#48815)
  * Export osso_abook_contact_set_contact_flag()
  * Add a parent to all infoprints (Fixes: #NB43968)
  * Recalculate group labels when accounts are deleted (Fixes: NB#49533)
  * Allow the empty area in treeviews to get a tap-n-hold (Fixes: NB#46712)
  * Fix field ordering in the Add Field dialog (Fixes: NB#39337)
  * Show Go Online button more (Fixes: NB#47747)
  * Set default path in the photo file chooser (Fixes: NB#46809)
  * Enable escape key to close request auth dialog (Fixes: NB#42517)
  * Display "no contacts to select" or "no contact selected" as
    appropriate (Fixes: NB#43888)
  * Clean up export filenames (Fixes: NB#43472)
  * Dim IVC Invite menu item if no IVC account is defined (Fixes: NB#48942)
  * Only enable the OK button in contact select dialogs when the model has
    loaded (Fixes: NB#48188)
  * Manually handle low memory state so we dont trash other
    applications (Fixes: NB#48521)

 -- Ross Burton <ross@openedhand.com>  Fri,  5 Jan 2007 16:42:05 +0000

osso-addressbook (1.20061130) unstable; urgency=low

  * Don't display blocked and deleted in Recent group (Fixes: NB#47528)
  * Fix confusion of treeview regarding it's sensivity after
    adding/removing it (NB#47880)
  * Don't apply changes to the contact list if there are no changes, which
    should avoid a race (NB#48188).

 -- Ross Burton <ross@openedhand.com>  Thu, 30 Nov 2006 17:21:55 +0000

osso-addressbook (1.20061128) unstable; urgency=low

  * Enable IVC by default.

 -- Ross Burton <ross@openedhand.com>  Tue, 28 Nov 2006 10:06:54 +0000

osso-addressbook (1.20061121) unstable; urgency=low

  * Actually implement IVC according to spec
  * Fix translation bug in IVC-menu (NB#44529)
  * SpeedDial: Force the addition of the attribute in synchronised fields
    (Fixes: NB#45052)
  * Export-Wizard: Add checks that should fix crash (NB#45969)
  * Authorization request menu item should only be there when presence
    is still pending (Fixes NB#44755 and NB#46526)
  * Fix crash in BT-sending of VCards (NB#41491,NB#45978,NB#46436)
  * SpeedDial: Set the minimum size of the speeddial applet (NB#43749).
  * Fix inability to (un)check contacts with the hardware keys (NB#38421, NB#45274)
  * Ignore contact not found errors when deleting (NB#46093).
  * Sort the service groups (NB#43462).
  * Use new HildonCaption API to put the service icons on the left (NB#38434).
  * Fix NB#40168 by unregistering existing importer callbacks before
    BT-sending
  * Connect to key release instead of press for the fullscreen signal (NB#44180).
  * Revert changes to global-search-plugin that caused trouble (NB#40988,
    NB#46825, NB#43597, NB#46821)
  * Mark the menu item string for translation (NB#44529).
  * Add global-search contact-plugin to osso-addressbook.install

 -- Joergen Scheibengruber <jorgen.scheibengruber@nokia.com>  Wed, 21 Nov 2006 15:54:00 +0300

osso-addressbook (1.20061023) unstable; urgency=low

  * Port to new libmissioncontrol
  * Update contacts in OGS results (Fixes: NB#43597)
  * Fix presence updates (Fixes: NB#43874, NB#43914)
  * Remove label in Select URL dialog (Fixes: NB#43497)

 -- Ross Burton <ross@openedhand.com>  Mon, 23 Oct 2006 16:13:49 +0100

osso-addressbook (1.20061017) unstable; urgency=low

  * Don't crash when re-opening Blocked Contacts (Fixes: NB#42879)
  * Don't close the DBus connection after sending a contact (Fixes: NB#41491).

 -- Ross Burton <ross@openedhand.com>  Tue, 17 Oct 2006 17:01:04 +0100

osso-addressbook (1.20061016.1) unstable; urgency=low

  * version bumped up

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Tue, 17 Oct 2006 13:55:24 +0300

osso-addressbook (1.20061016) unstable; urgency=low

  * Grand presence subsystem rewrite.  Please test!
  * Use correct logical id's for phone and web icon, Fixes NB#43344
  * Fix service group crashes (Fixes: NB#42626, NB#43320)
  * Don't size the contact editor explicitly (Fixes: NB#42207)

 -- Ross Burton <ross@openedhand.com>  Mon, 16 Oct 2006 17:49:24 +0100

osso-addressbook (1.20061013) unstable; urgency=low

  * Update OGS code for new libogs release
  * Fix speeddial when no contacts are selected (Fixes: NB#42625)
  * Fix crashes in contact editor (Fixes: NB#34242)

 -- Ross Burton <ross@openedhand.com>  Fri, 13 Oct 2006 17:41:33 +0100

osso-addressbook (1.20061012) unstable; urgency=low

  * Updates and fixes to the search plugin
  * Fix infinite loop in delete contacts dialog (Fixes: NB#42031)
  * Fix tap-and-hold in speeddial (Fixes: NB#39956)

 -- Ross Burton <ross@openedhand.com>  Thu, 12 Oct 2006 17:20:09 +0100

osso-addressbook (1.20061006) unstable; urgency=low

  * Fix some refcounting errors in the home-applet. (Fixes: NB#42169)
  * Fix crash in global search plugin. (Fixes NB#40988)
  * Move some fields around in IM selector dialog (Fixes NB#42188, NB#31860)
  * Made a non-modal version of the IM selector dialog that allows presence
    to be updated correctly.
  * Clean up some presence notification stuff so it seems to work better.

 -- Iain Holmes <iain@openedhand.com>  Fri,  6 Oct 2006 17:14:00 +0100
	
osso-addressbook (1.20061003) unstable; urgency=low

  * Hopefully fix random crashes related to presence (Fixes: NB#41603, NB#41628)
  * Show presence in the global search plugin

 -- Ross Burton <ross@openedhand.com>  Tue,  3 Oct 2006 17:33:25 +0100

osso-addressbook (1.20061002) unstable; urgency=low

  * When contacts are unblocked select the next row (Fixes: NB#40927)
  * Fix insenstive press string in the add username dialog (Fixes: NB#40163)
  * Add global search plugin
  * Don't show error messages to the user

 -- Ross Burton <ross@openedhand.com>  Mon,  2 Oct 2006 17:43:58 +0100

osso-addressbook (1.20060929) unstable; urgency=low

  * Revert row selection change on deletion (Fixes: NB#41664)
  * Select the first account in the Add Username dialog (Fixes: NB#41636)
  * Fix export wizard logic (Fixes: NB#34610)
  * IM accounts in Add Field dialog are sorted (Fixes: NB#39334)

 -- Ross Burton <ross@openedhand.com>  Fri, 29 Sep 2006 12:15:54 +0100

osso-addressbook (1.20060926) unstable; urgency=low

  * Don't display garbage infoprints (Fixes: NB#36741)
  * Use the visible query to speed deletions (Fixes: NB#36910)
  * Close the select contact dialog on escape (Fixes: NB#41142)
  * Only destroy the speed dial bookview when there is a new one (Fixes:
    NB#36060)
  * Fix translations in the Call button (Fixes: NB#41372, NB#41373,
    NB#41374, NB#41375)

 -- Ross Burton <ross@openedhand.com>  Tue, 26 Sep 2006 17:30:43 +0100

osso-addressbook (1.20060925) unstable; urgency=low

  * Fix domain in saved logical ID (Fixes: NB#41255)
  * Move Online group above Recent (Fixes: NB#34563)
  * Update bound IDs when accounts change (Fixes: NB#41159)
  * Show No Space when exporting to a full MMC (Fixes: NB#38886)
  * Make the escape hard key work in the export wizard (Fixes: NB#41117)
  * Update the Add Username dialog to match the revised spec (Fixes: NB#40032)

 -- Ross Burton <ross@openedhand.com>  Mon, 25 Sep 2006 17:49:29 +0100

osso-addressbook (1.20060922.1) unstable; urgency=low

  * dependency for -dbg packages fixed

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Thu, 28 Sep 2006 11:10:33 +0300

osso-addressbook (1.20060922) unstable; urgency=low

  * calculate home applet height correctly, Fixes NB#36734
  * Close more dialogs on escape (Fixes: NB#41099)
  * Don't unref contacts in the call button (Fixes: NB#41057)
  * When a row is deleted select another row (Fixes: NB#40927)
  * Disable blocking when there are no accounts (Fixes: NB#40934)

 -- Ross Burton <ross@openedhand.com>  Fri, 22 Sep 2006 18:02:46 +0100

osso-addressbook (1.20060920) unstable; urgency=low

  * Implement the video invite and video call button
  * Handle dialog sizing better (Fixes: NB#31543, #29792)

 -- Ross Burton <ross@openedhand.com>  Wed, 20 Sep 2006 16:32:42 +0100

osso-addressbook (1.20060915) unstable; urgency=low

  * Set the nickname and account usernames in the global search results (Fixes: NB#31628)
  * Restore the original photo when cancelling contact editor (Fixes: NB#40178)
  * Remove contacts from the view straight away when they are deleted
    (Fixes: NB#36910, NB#40056, NB#40007, NB#39414)

 -- Ross Burton <ross@openedhand.com>  Fri, 15 Sep 2006 16:39:12 +0100

osso-addressbook (1.20060914) unstable; urgency=low

  * Handle quoted search queries (Fixes: NB#31632)
  * Show New Contact button in speed dial and add to contact dialog (Fixes: NB#40280, #39417)
  * Show Saved banner when other apps save a contact (Fixes: NB#38263)
  * Fix off-by-one in string allocation (Fixes: NB#40401)

 -- Ross Burton <ross@openedhand.com>  Thu, 14 Sep 2006 17:16:46 +0100

osso-addressbook (1.20060911) unstable; urgency=low

  * Fix hardware buttons in the add username dialog (Fixes: NB#40030)
  * Fix layout in the add username dialog (Fixes: NB#40032)
  * Rename groups in a single action (Fixes: NB#34565)
  * Don't put pending contacts in the Online group (Fixes: NB#40142)
  * Close the Select Contact dialog when Escape is pressed (Fixes: NB#39575)
  * Pay attention to the options in the search plugin (Fixes: NB#31673)
  * Show infonote when clicking on the disabled OK buttons (Fixes: NB#40163)

 -- Ross Burton <ross@openedhand.com>  Mon, 11 Sep 2006 17:44:17 +0100

osso-addressbook (1.20060908) unstable; urgency=low

  * focus first widget in contact editor always, fixes NB#34695
  * use mktime more carefully, fixes NB#38401
  * check TODELETE when adding generic fields, fixes NB#39190
  * don't make duplicate TOADD, don't make a copy deleting in editor
  * also check values of fields, fixes NB#34202
  * properly check for DELETE_EVENT, fixes NB#36778, NB#36777
  * be carefull with galago signals, fixes NB#28065, NB#38532, NB#39414, NB#39621
  * don't modify the to merge list, fixes NB#34673
  * no more unlocalized errors, instead log to g_warning, fixes NB#39369
  * Raise the abook window so dialogs started over DBus are visible
    (Fixes: NB#36988)
  * Disable the Call button if there are ongoing calls (Fixes: NB#29383)
  * Fix pending presence displaying as online (Fixes: NB#39856)
  * Don't try and add NULL service groups (Fixes: NB#39206)
  * Fix Bluetooth sending (Fixes: NB#35368)
  * Fix the export wizard (Fixes: NB#34610)
  * Fix dialog closing when Escape is pressed (Fixes: NB#38400)
  * Fix deleting of disabled accounts (Fixes: NB#38821)
  * Sort the accounts in the New Field dialog (Fixes: NB#39334)
  
 -- Ross Burton <ross@openedhand.com>  Fri,  8 Sep 2006 17:26:25 +0100

osso-addressbook (1.20060905) unstable; urgency=low

  * Add the extra page to the export wizard
  * Add -dbg packages for osso-addressbook and -speeddial.
  * launch service after user specified address, fixes NB#39189
  * grab focus for first widget in editor, fixes NB#34695
  * use New Group before adding numbers, fixes NB#35179
  * added bluetooth insensitive alert, fixes NB#36396
  * generic jabber field always shows up when appropriate, fixes NB#36702
  * Hide deleted contacts straight away (Fixes: NB#36910)
  * Truncate the speed dial list if it is too long (Fixes: NB#36737)
  * Disable OK button in the select dialog when no contacts selected (Fixes: NB#38085)
  * Don't display blank fields in the Details dialog (Fixes: NB#35765)
  * Select a group when another group is removed (Fixes: NB#35452)
  * Fix calculation of size of speed dial applet (Fixes: NB#36734)
  * Add transient parent to send_email (Fixes: NB#39266)
  * Don't import large files (Fixes: NB#35134)
  * Disable Block on blocked contacts (Fixes: NB#36741)
  * Fix exporter when there is an error (Fixes: NB#33206)
  * Make add email dialog transient for the starter (Fixes: NB#39221)
  * Listen to key presses on the contact starter buttons (Fixes: NB#37268)
  * Handle NULL service groups (Fixes: NB#39206)

 -- Ross Burton <ross@openedhand.com>  Tue,  5 Sep 2006 12:04:49 +0100

osso-addressbook (1.20060829) unstable; urgency=low

  * fix addr_ap_address_book_thumb logical id (Fixes: NB#37633)
  * fix addr_me_cs_addtocontacts logical id (Fixes: NB#37559)
  * fix up merge dialog (Fixes: NB#35170)
  * fix crash with merge dialog of zero contacts (Fixes: NB#38360)
  * fix crashes when profile vcard field is NULL (Fixes: NB#38241,
    NB#38272, NB#38363)
  * compile again against libtelepathy
  * Allow parallel builds (Fixes: NB#38689)
  * when adding an address to a contact, also add a TOADD (Fixes: NB#38608)
  * Use the new Add Username dialog in the Contact Starter
  * Online group doesn't enable when accounts are enabled (Fixes: NB#38013)
  * Don't display mutiple groups (Fixes: NB#38223)
  * Handle button 8 presses
  * Add Select URL dialog (Fixes: NB#36568, NB#38497)
  * Add Go To URL item in Contact Starter (Fixes: NB#38428)
  * Select newly created groups (Fixes: NB#38447)
  * Make Galago presence calls async (Fixes: NB#29514)

 -- Ross Burton <ross@openedhand.com>  Tue, 29 Aug 2006 17:09:05 +0100

osso-addressbook (1.20060816) unstable; urgency=low

  * Don't hard-code X-JABBER (Fixes: NB#31703)
  * Add context menu to speed dialg (Fixes: NB#36065)
  * Implement new Add Username Dialog and merge it with Add Email Address
    dialog (Fixes: NB#34974)

 -- Ross Burton <ross@openedhand>  Wed, 16 Aug 2006 12:34:54 +0100

osso-addressbook (1.20060809) unstable; urgency=low

  * Go online with default state (Fixes: NB#33407)
  * Only add accounts to contacts if they have vcards set (Fixes: NB#35573)
  * Allow the user to delete fields (Fixes: NB#36375)
  * Disable the alpha bar when sorting on presence (Fixes: NB#35130)
  * Don't flicker when accounts are added
  * Disable the Online group when no accounts (Fixes: NB#33630)
  * Almost complete API docs

 -- Ross Burton <ross@openedhand.com>  Wed,  9 Aug 2006 15:45:32 +0100

osso-addressbook (1.20060725) unstable; urgency=low

  * Enable wrapping on auth dialog text entry (Fixes: NB#33349)
  * Replace ,;%20 with space from incoming address strings (Fixes: NB#30301)
  * Set gtk_set_transient_for on add to contact dialog (Fixes: NB#35446)
  * Don't allow the user to delete fields when half-clicking buttons (Fixes: NB#34390)
  * Disable Send Via Bluetooth when no contacts are selected (Fixes: NB#35406)
  * Only enable OK in Add Email button if there is content (Fixes: NB#34608)
  * Check for presence before mission-control (Fixes: NB#34696)
  * Add Contact->Go To Web Address (Fixes: NB#35090)
  * Fix logical ID of Contact Editor cancel button (Fixes: NB#34758)
  * Display pending presence (Fixes: NB#29803)

 -- Ross Burton <ross@openedhand.com>  Tue, 25 Jul 2006 18:15:49 +0100

osso-addressbook (1.20060720) unstable; urgency=low

  * Add multiple and single delete support (Fixes: NB#29106)
  * Home applet is resizable (Fixes: NB#31133)
  * Fix duplicate Phone entries (Fixes: NB: 33470)
  * Add support for async Galago API
  * Far improved API documentation

 -- Ross Burton <ross@openedhand.com>  Thu, 20 Jul 2006 11:31:09 +0100

osso-addressbook (1.20060712-3) unstable; urgency=low

  * Add missing build-depends

 -- Ross Burton <ross@openedhand.com>  Mon, 17 Jul 2006 10:17:17 +0100

osso-addressbook (1.20060712-2) unstable; urgency=low

  * Add debug symbols package for libosso-abook.

 -- Ross Burton <ross@openedhand.com>  Thu, 13 Jul 2006 16:10:43 +0100

osso-addressbook (1.20060712-1) unstable; urgency=low

  * Contact Editor has OK/Cancel (Fixes: NB#34694)
  * Better smart group naming
  * Add optional New Contact button to contact selector (Fixes: NB#30446)
  * Don't crash when contacts are created in the editor (Fixes: NB#34242)
  * Add a Select IM Account dialog
  * Add Bluetooth sending of vCards
  * Vastly improved API documentation, almost 100% coverage

 -- Ross Burton <ross@openedhand.com>  Wed, 12 Jul 2006 16:52:58 +0100

osso-addressbook (1.20060620-1) unstable; urgency=low

  * First IT2007 release
  * Add telephone and URL fields.
  * Mark IM fields as TODELETE when Remove Field is pressed. Fixes: NB#32793
  * Implemented NR#129781
  
 -- Ross Burton <ross@openedhand.com>  Tue, 20 Jun 2006 14:49:33 +0100

osso-addressbook (0.20060612-1) unstable; urgency=low

  * Handle NoSpace errors (#20378)
    - Bump evo build-dep
  * Free a GConf entry (#32484)

 -- Ross Burton <ross@openedhand.com>  Mon, 12 Jun 2006 18:09:30 +0100

osso-addressbook (0.20060609) unstable; urgency=low

  * Don't crash if we get an error when adding a contact
  * Don't do anything when importing from IT2005 but the file doesn't exist
  * Fix import logic

 -- Ross Burton <ross@openedhand.com>  Fri,  9 Jun 2006 17:54:12 +0100

osso-addressbook (0.20060608) unstable; urgency=low

  * Fix IT2005 backup restore (#31758)
  * Add API to remove alpha bar and contact names from dialogs  (#31860)

 -- Ross Burton <ross@openedhand.com>  Thu,  8 Jun 2006 18:01:06 +0100

osso-addressbook (0.20060607) unstable; urgency=low

  * Don't show a label in the email selector dialog (#31887)
  * Support low memory notifications (#31835)

 -- Ross Burton <ross@openedhand.com>  Wed,  7 Jun 2006 18:34:01 +0100

osso-addressbook (0.20060606) unstable; urgency=low

  * Set a display name for generic fields (#31775)
  * Handle NULL errors from gdk-pixbuf (#31597)
  * Empty the addressbook when importing from S (#31758)

 -- Ross Burton <ross@openedhand.com>  Tue,  6 Jun 2006 18:00:20 +0100

osso-addressbook (0.20060605) unstable; urgency=low

  * Fix memleaks (#31700, #31701, 31702)
  * Fix MIME handling (#31697)
  * Rebuild menus only if account is complete (#31708)
  * Fix export wizard title (#30673)
  * Position the speed dial applet correctly (#29622)

 -- Ross Burton <ross@openedhand.com>  Mon,  5 Jun 2006 18:04:29 +0100

osso-addressbook (0.20060602) unstable; urgency=low

  * Don't crash speed dial when e-d-s dies (#31577)
  * Correct use of TOADD and TODELETE in editor (#30788)
  
 -- Jorn Baayen <jorn@openedhand.com>  Fri, 2 Jun 2006 12:46:31 +0300

osso-addressbook (0.20060601) unstable; urgency=low

  * Correct "Choose email address" dialog size (#28970)
  * Remove AUTOMATIC contact flag on edit and merge (#31535)
  * Re-enable the Remove button (#31263)
  * Listen for accounts being created and deleted (#27556)
  * Print out backtraces on crashes and warnings
  
 -- Jorn Baayen <jorn@openedhand.com>  Thu, 1 Jun 2006 12:28:31 +0300

osso-addressbook (0.20060530) unstable; urgency=low

  * 30863 The contacts are not imported from buddy list if previous...
  * 31203 one contact that has a lot of addresses is not in widget...
  * 30946 AB exporting all contact (not from current group)

 -- Onne Gorter <onne.gorter@nokia.com>  Thu, 30 May 2006 19:00:00 +0200

osso-addressbook (0.20060525) unstable; urgency=low

  * Allow multiple email addresses in email selector (#29544)
  * Add the Add Contact note (#30446)
  * Spin mainloop when exporting (26638)
  * Update online group when presence changes (#25682)

 -- Ross Burton <ross@openedhand.com>  Thu, 25 May 2006 17:29:40 +0100

osso-addressbook (0.20060524) unstable; urgency=low

  * Update for new EContactPhoto layout and increase build-depends
  * Allow request authorisation more (#30310)
  * Fix determining email addresses (#30528)
  * Set title on Select Contacts dialog (#30482)
  * Don't open ebook in home applet if there are no contacts selected (#30096)

 -- Ross Burton <ross@openedhand.com>  Wed, 24 May 2006 12:26:59 +0100

osso-addressbook (0.20060523) unstable; urgency=low

  * Display infoprints if we get disk full when adding a picture (#29717)
  * Don't show infoprints in the speed dial applet (#30288)
  * Check box selection mode is the default for selectors (#29829)
  * Size the home applet to remove scrollbars (#29347)
  * Use HildonBanner over GtkInfoPrint (#27133)
  * Add help in contact editor (#30330)
  * Don't crash in the starter (#27556)

 -- Ross Burton <ross@openedhand.com>  Tue, 23 May 2006 17:18:23 +0100

osso-addressbook (0.20060522) unstable; urgency=low

  * Fix crashes in global search (#29991)
  * Allow generic Jabber fields
  * Use the correct logical strings in the group valid dialog (#25070)

 -- Ross Burton <ross@openedhand.com>  Mon, 22 May 2006 17:52:47 +0100

osso-addressbook (0.20060519) unstable; urgency=low

  * Don't show contacts in service groups after editing (#29389)
  * Don't close the contact editor if the user pressed cancel (#29682)
  * Allow New Group dialog to be cancelled (#330216)
  * Allow New Contact dialog to be closed (#30175)
  * Truncate long account names (#29540)

 -- Ross Burton <ross@openedhand.com>  Fri, 19 May 2006 17:47:47 +0100

osso-addressbook (0.20060518) unstable; urgency=low

  * Register text/x-vcard MIME type (25724)
  * debian/rules: call dh_installmime to get MIME files registered
  * Only close starter if the email client was started (#29815)
  * Fix speed dial theming properly (#29347)

 -- Ross Burton <ross@openedhand.com>  Thu, 18 May 2006 17:49:45 +0100

osso-addressbook (0.20060516) unstable; urgency=low

  * Mark new contacts for syncing (#25595)
  * Select newly visible groups (#29788)
  * Select first contact when changing group (#26365)
  * Handle unbound and invalid bound fields in the editor (#29449)
  * Check if the photo is empty when deleting (#29693)
  * Don't close the New Group dialog if the name isn't valid (#29542)
  * Fix insensitive press infoprints (#29719)
  * Fix theming in dialogs (#27879)
  * Set the speed dial settings dialog as modal (#29677)
  * Ignore case when matching groups (#29543)
  * Update starter dialog as IM accounts are added (part of #27556)
  * Fix leak (#29451)
  
 -- Ross Burton <ross@openedhand.com>  Tue, 16 May 2006 17:26:38 +0100

osso-addressbook (0.20060512) unstable; urgency=low

  * Important: re-instate the reverted API change to osso_abook_init
  * Emulate wildcards in global search (#26253)
  * Show presence in Contact Details (#28309)
  * Theme the speed dial applet correctly (#29347)
  * Fix translation in the service dialog (#27917)
  * Handle exporter running out of memory (#29183)
  * Speed Dial now handles EDS exiting

 -- Ross Burton <ross@openedhand.com>  Fri, 12 May 2006 11:23:22 +0100

osso-addressbook (0.20060510) unstable; urgency=low

  * Revert osso_abook_init() change for now.
  * Show correct infoprints when importing (#29114)
  * Allow no selections in the home applet
  * Don't capitalise email addresses entered from the starter

 -- Ross Burton <ross@openedhand.com>  Wed, 10 May 2006 16:02:25 +0100

osso-addressbook (0.20060509) unstable; urgency=low

  * Improve filtering in home applet (#25608, #25628)
  * Include smart groups in CSM (#26079)
  * Set gconf key correctly (#27634)
  * Fix behaviour when no IM accounts defined (#26635)
  * Fix export bugs (#28785)
  * Don't create empty contacts (#28652)
  * Set the right type of buttons (#27879)
  * Fix logical strings (#28841)
  * Delete the contact if all fields are emptied (#26088)

 -- Ross Burton <ross@openedhand.com>  Tue,  9 May 2006 17:06:54 +0100

osso-addressbook (0.20060504) unstable; urgency=low

  * Turn on the VOIP button (#28252)
  * Set infoprint strings (#25191)

 -- Ross Burton <ross@openedhand.com>  Thu,  4 May 2006 11:42:29 +0100

osso-addressbook (0.20060503) unstable; urgency=low

  * Register that we open vCard files (#25724)
  * Disable the OK button in select dialogs when no contacts (#28359)
  * Fix broken translation (#25641)
  * Add help (#26076)

 -- Ross Burton <ross@openedhand.com>  Wed,  3 May 2006 16:57:37 +0100

osso-addressbook (0.20060428) unstable; urgency=low

  * More Contact Starter fixes (#26635)
  * Handle contact deletions in the stock dialogs
  * Add #! lines to scripts to quiet lintian
  * Remove old data when restoring
  * Fix address/ID passing when starting Chat/Call/Mail
  * Add export support for Series 80 and 90 (#27842)
  * Handle account names being unset in the editor (#26150)
  * Show groups by default (#27634)
  * Fix contact counting in tools menu (#26633)
  * Export fixes (#28030)
  * Don't crash in the contact starter if there is no book view (#28071)

 -- Ross Burton <ross@openedhand.com>  Fri, 28 Apr 2006 17:48:44 +0100

osso-addressbook (0.20060426) unstable; urgency=low

  * Check for empty and too long group names (#25053)
  * Close "Select Contacts To Be Merged" on OK (#26194)
  * Set default group name in New Group dialog (#26086)
  * Allow four contacts in speeddial (#27847)
  * Set the TOADD state when adding IM fields
  * Check vCard and bound attributes when checking for accounts (#26078)
  * Update username label (#27915)
  * Use HildonBanner (#27133)
  * Don't pass a string to the "delete contact" string
  * More contact starter fixes (#26635)

 -- Ross Burton <ross@openedhand.com>  Wed, 26 Apr 2006 18:33:51 +0100

osso-addressbook (0.20060425) unstable; urgency=low

  * Add email address chooser dialog, and use it in the contact starter
  * Select the All group after creating a new contact (#26087)
  * Fix multiple selection behaviour in the select dialog (#26082)
  * Ensure new fields in contact editor are visible (#25700)
  * Remove the "Remove Field" button (#27758)
  * Close dialogs when the Escape butotn is pressed (#24000)

 -- Ross Burton <ross@openedhand.com>  Tue, 25 Apr 2006 17:23:36 +0100

osso-addressbook (0.13-1osso1) unstable; urgency=low

  * Fix home applet crashing when dialog is cancelled
  * Fix importing over OBEX
  * Add generic function to get account names

 -- Ross Burton <ross@openedhand.com>  Fri, 21 Apr 2006 18:05:08 +0100

osso-addressbook (0.12-1osso1) unstable; urgency=low

  * Lots of export fixes
  * More merge fixes
  * Backup fixes
  * Install missing headers
  * Filter deleted contacts from home applet (#25608)

 -- Ross Burton <ross@openedhand.com>  Thu, 20 Apr 2006 17:19:53 +0100

osso-addressbook (0.11-1osso1) unstable; urgency=low

  * Allow thumb builds
  * Fix l10n depends
  * Remove XXX strings
  * Fix arguments in presence icon changes (#26736)
  * Merging fixes
  * Add scripts for backup
  * Import/export fixes

 -- Ross Burton <ross@openedhand.com>  Wed, 19 Apr 2006 16:51:43 +0100

osso-addressbook (0.10-1osso1) unstable; urgency=low

  * Depend on evolution-data-server (#26131, #26526)
  * Translation work in the home applet
  * Smart service group fixes
  * Contact editor fixes
  * Export fixes
  
 -- Ross Burton <ross@openedhand.com>  Thu, 13 Apr 2006 15:07:31 +0100

osso-addressbook (0.9-1osso1) unstable; urgency=low

  * New release
    - startup fixes
    - contact editor fixes
    - group fixes

 -- Ross Burton <ross@openedhand.com>  Fri,  7 Apr 2006 16:01:16 +0100

osso-addressbook (0.8-1osso1) unstable; urgency=low

  * New release

 -- Jorn Baayen <jorn@openedhand.com>  Wed, 5 Apr 2006 11:51:31 +0200

osso-addressbook (0.7.1-1osso1) unstable; urgency=low

  * adds chat-voip utils

 -- Onne Gorter <onne.gorter@nokia.com>  Tue, 4 Apr 2006 10:05:30 +0200

osso-addressbook (0.7-1osso1) unstable; urgency=low

  * New release
    - Import/Export fixes
    - Editor fixes
  * Bump hildon-libs build-dep for the Wizard fixes

 -- Ross Burton <ross@openedhand.com>  Fri, 31 Mar 2006 09:57:31 +0100

osso-addressbook (0.6-1osso1) unstable; urgency=low

  * New upstream release

 -- Jorn Baayen <jorn@openedhand.com>  Mon, 29 Mar 2006 10:20:03 +0300

osso-addressbook (0.5-1osso2) unstable; urgency=low

  * Added deps on libossomime-dev and libosso-rtcom-dev

 -- Jorn Baayen <jorn@openedhand.com>  Mon, 27 Mar 2006 10:58:17 +0300

osso-addressbook (0.5-1osso1) unstable; urgency=low

  * New upstream release
  - Update build-depends

 -- Ross Burton <ross@openedhand.com>  Thu, 23 Mar 2006 15:05:53 +0000

osso-addressbook (0.4-1osso1) unstable; urgency=low

  * New upstream release
  * Add build-deps on mission-control and libtelepathy

 -- Ross Burton <ross@openedhand.com>  Fri, 17 Mar 2006 17:58:04 +0000

osso-addressbook (0.3-2osso1.3) unstable; urgency=low

  * libcontact-importexport-dev and libosso-rtcom-dev added to
    libosso-abook-dev dependency

 -- Jorn Baayen <jorn@openedhand.com>  Thu, 16 Mar 2006 10:36:32 +0200

osso-addressbook (0.3-2osso1.2) unstable; urgency=low

  * added dependency on l10n package

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Tue, 14 Mar 2006 11:24:02 +0200

osso-addressbook (0.3-2osso1.1) unstable; urgency=low

  * dependecies on hildon developement packages added for libosso-abook-
    dev

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Tue, 14 Mar 2006 12:39:52 +0200

osso-addressbook (0.3-2osso1) unstable; urgency=low

  * New release
  - Lots of bug fixes

 -- Ross Burton <ross@openedhand.com>  Mon, 13 Mar 2006 17:50:15 +0000

osso-addressbook (0.3-1) unstable; urgency=low

  * New release
  - Add the global search plugin to the addressbook package.

 -- Ross Burton <ross@openedhand.com>  Tue,  7 Mar 2006 16:45:47 +0000

osso-addressbook (0.2-1) unstable; urgency=low

  * New upstream.
  * Remove libosso-chavo dependency

 -- Ross Burton <ross@openedhand.com>  Wed,  1 Mar 2006 15:55:41 +0000

osso-addressbook (0.1-9) unstable; urgency=low

  * libtelepathy-dev added to libosso-abook-dev dependency

 -- Ross Burton <ross@openedhand.com>  Thu, 23 Feb 2006 19:21:54 +0200

osso-addressbook (0.1-8) unstable; urgency=low

  * added libosso-abook dev dependency on libmissioncontrol-dev

 -- Ross Burton <ross@openedhand.com>  Thu, 23 Feb 2006 16:05:31 +0200

osso-addressbook (0.1-7) unstable; urgency=low

  * Fixed bug #23146 - address book is not included in the menu

 -- Ross Burton <ross@openedhand.com>  Wed, 22 Feb 2006 12:46:20 +0200

osso-addressbook (0.1-6) unstable; urgency=low

  * Use hildon-fm file selector
  * Pixel perfecting.
  * EBookViews now hold refs on EBooks, so we do not need to store the
    EBook separately anymore.
  * Show "Connect" button in online group when offline.

 -- Ross Burton <ross@openedhand.com>  Tue, 21 Feb 2006 19:42:24 +0200

osso-addressbook (0.1-5) unstable; urgency=low

  * annoing message removed

 -- Ross Burton <ross@openedhand.com>  Wed, 15 Feb 2006 16:20:14 +0200

osso-addressbook (0.1-4) unstable; urgency=low

  * .desktop file is back again

 -- Ross Burton <ross@openedhand.com>  Wed, 15 Feb 2006 13:34:47 +0200

osso-addressbook (0.1-3) unstable; urgency=low

  * Dependency on gtk-doc-tools added

 -- Ross Burton <ross@openedhand.com>  Fri, 10 Feb 2006 12:40:45 +0200

osso-addressbook (0.1-2) unstable; urgency=low

  * Add osso-speeddial package.

 -- Ross Burton <ross@openedhand.com>  Fri,  3 Feb 2006 12:10:03 +0000

osso-addressbook (0.1-1) unstable; urgency=low

  * Initial release.

 -- Ross Burton <ross@openedhand.com>  Thu,  2 Feb 2006 17:37:14 +0000
